<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('fingerprint_machines', function (Blueprint $table) {
            $table->text('password')->nullable()->change();
            $table->text('cloud_api_token')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('fingerprint_machines', function (Blueprint $table) {
            $table->string('password', 50)->nullable()->change();
            $table->string('cloud_api_token', 255)->nullable()->change();
        });
    }
};
